* [gentoo-commits] proj/lisp:master commit in: dev-lisp/linedit/files/, dev-lisp/linedit/
@ 2013-04-01 18:56 José María Alonso
0 siblings, 0 replies; 5+ messages in thread
From: José María Alonso @ 2013-04-01 18:56 UTC (permalink / raw
To: gentoo-commits
commit: 3626d232915d2b33556f17b5aa90f577c6b29e0b
Author: Chema Alonso <nimiux <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 1 18:56:45 2013 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Mon Apr 1 18:56:45 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/lisp.git;a=commit;h=3626d232
dev-lisp/linedit: bump to version 0.17.0
---
.../0.17.0-linedit.asd-uffi-glue-gentoo.patch | 68 ++++++++++++++++++++
dev-lisp/linedit/linedit-0.17.0.ebuild | 62 ++++++++++++++++++
2 files changed, 130 insertions(+), 0 deletions(-)
diff --git a/dev-lisp/linedit/files/0.17.0-linedit.asd-uffi-glue-gentoo.patch b/dev-lisp/linedit/files/0.17.0-linedit.asd-uffi-glue-gentoo.patch
new file mode 100644
index 0000000..e496502
--- /dev/null
+++ b/dev-lisp/linedit/files/0.17.0-linedit.asd-uffi-glue-gentoo.patch
@@ -0,0 +1,68 @@
+diff -Nur a/linedit.asd b/linedit.asd
+--- a/linedit.asd 2010-09-14 22:08:59.000000000 +0200
++++ b/linedit.asd 2013-04-01 20:08:27.109977598 +0200
+@@ -24,40 +24,6 @@
+
+ (in-package :linedit-system)
+
+-(defvar *gcc* "/usr/bin/gcc")
+-
+-(defvar *gcc-options*
+- #-(or darwin macosx)
+- (list "-shared" "-fPIC")
+- #+(or darwin macosx)
+- (append
+- (list "-dynamic" "-bundle")
+- #+(or x86 x86-64)
+- (list "-arch" "x86_64" "-arch" "i386")
+- #-sbcl
+- (list "/usr/lib/bundle1.o" "-flat_namespace" "-undefined" "suppress")))
+-
+-;;; Separate class so that we don't mess up other packages
+-(defclass uffi-c-source-file (c-source-file) ())
+-
+-(defmethod output-files ((o compile-op) (c uffi-c-source-file))
+- (list (make-pathname :name (component-name c)
+- :type #-(or darwin macosx) "so" #+(or darwin macosx) "dylib"
+- :defaults (component-pathname c))))
+-
+-(defmethod perform ((o load-op) (c uffi-c-source-file))
+- (let ((loader (intern (symbol-name '#:load-foreign-library) :uffi)))
+- (dolist (f (asdf::input-files o c))
+- (funcall loader f :module (pathname-name f)))))
+-
+-(defmethod perform ((o compile-op) (c uffi-c-source-file))
+- (unless (zerop (run-shell-command "~A ~A ~{~A ~}-o ~A"
+- *gcc*
+- (namestring (component-pathname c))
+- *gcc-options*
+- (namestring (car (output-files o c)))))
+- (error 'operation-error :component c :operation o)))
+-
+ (defsystem :linedit
+ :version "0.17.0"
+ :depends-on (:uffi :terminfo :osicat)
+@@ -69,10 +35,10 @@
+ (:file "matcher" :depends-on ("packages"))
+
+ ;; Backend
+- (:file "backend" :depends-on ("utility-macros"))
+- (:uffi-c-source-file "terminal_glue")
++ (:file "uffi-loader" :depends-on ("packages"))
++ (:file "backend" :depends-on ("utility-macros" "uffi-loader"))
+ (:file "terminal-translations" :depends-on ("packages"))
+- (:file "terminal" :depends-on ("terminal-translations" "backend" "terminal_glue"))
++ (:file "terminal" :depends-on ("terminal-translations" "backend" "uffi-loader"))
+ (:file "smart-terminal" :depends-on ("terminal" "matcher"))
+ (:file "dumb-terminal" :depends-on ("terminal"))
+
+@@ -81,8 +47,7 @@
+ (:file "line" :depends-on ("utility-macros"))
+ (:file "buffer" :depends-on ("utility-macros"))
+ (:file "command-keys" :depends-on ("packages"))
+- (:uffi-c-source-file "signals")
+- (:file "editor" :depends-on ("backend" "rewindable" "signals"
++ (:file "editor" :depends-on ("backend" "rewindable"
+ "line" "buffer" "command-keys"))
+ (:file "main" :depends-on ("editor"))
+ (:file "complete" :depends-on ("utility-macros"))
diff --git a/dev-lisp/linedit/linedit-0.17.0.ebuild b/dev-lisp/linedit/linedit-0.17.0.ebuild
new file mode 100644
index 0000000..c79053f
--- /dev/null
+++ b/dev-lisp/linedit/linedit-0.17.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit common-lisp-3 eutils flag-o-matic multilib toolchain-funcs
+
+MY_P="${PN}_${PV}"
+
+DESCRIPTION="Linedit is a readline-style library written in Common Lisp."
+HOMEPAGE="http://www.common-lisp.net/project/linedit/"
+SRC_URI="http://common-lisp.net/project/${PN}/files/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+RDEPEND="!dev-lisp/cl-${PN}
+ dev-lisp/osicat
+ dev-lisp/terminfo
+ dev-lisp/uffi"
+
+S="${WORKDIR}/${MY_P}"
+
+@cc() {
+ local cc=$(tc-getCC)
+ echo "${cc}" "${@}"
+ "${cc}" "${@}"
+}
+
+create_uffi_loader() {
+ cat > uffi-loader.lisp <<-EOF
+ ;;;; -*- mode: lisp; syntax: common-lisp; indent-tabs-mode: nil; base: 10; package: linedit -*-
+ (in-package :linedit)
+
+ (uffi:load-foreign-library #p"/usr/$(get_libdir)/linedit/signals.so")
+ (uffi:load-foreign-library #p"/usr/$(get_libdir)/linedit/terminal_glue.so")
+ EOF
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PV}-${PN}.asd-uffi-glue-gentoo.patch
+ create_uffi_loader
+}
+
+src_compile() {
+ strip-flags
+ for filename in signals terminal_glue ; do
+ @cc "${filename}.c" ${CFLAGS} ${LDFLAGS} \
+ -fPIC -DPIC -shared -Wl,-soname="${filename}" -o "${filename}.so" \
+ || die "Cannot compile ${filename}.c"
+ done
+}
+
+src_install() {
+ common-lisp-install-sources -t all *.lisp version.lisp-expr
+ common-lisp-install-asdf
+ exeinto "/usr/$(get_libdir)/${PN}"
+ doexe *.so
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/lisp:master commit in: dev-lisp/linedit/files/, dev-lisp/linedit/
2014-11-11 23:16 [gentoo-commits] proj/lisp:master commit in: dev-lisp/linedit/files/, dev-lisp/linedit/ José María Alonso
@ 2014-07-26 15:47 ` José María Alonso
0 siblings, 0 replies; 5+ messages in thread
From: José María Alonso @ 2014-07-26 15:47 UTC (permalink / raw
To: gentoo-commits
commit: 309cbe75930279a6f3ecc121d7e0b1e9fee3fc76
Author: Chema Alonso <nimiux <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 26 15:48:03 2014 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Sat Jul 26 15:48:03 2014 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/lisp.git;a=commit;h=309cbe75
dev-lisp/linedit: new live ebuild
---
.../files/9999-linedit.asd-uffi-glue-gentoo.patch | 20 +++++++
dev-lisp/linedit/linedit-9999.ebuild | 62 ++++++++++++++++++++++
2 files changed, 82 insertions(+)
diff --git a/dev-lisp/linedit/files/9999-linedit.asd-uffi-glue-gentoo.patch b/dev-lisp/linedit/files/9999-linedit.asd-uffi-glue-gentoo.patch
new file mode 100644
index 0000000..97dabc4
--- /dev/null
+++ b/dev-lisp/linedit/files/9999-linedit.asd-uffi-glue-gentoo.patch
@@ -0,0 +1,20 @@
+diff -Nuar a/linedit.asd b/linedit.asd
+--- a/linedit.asd 2014-07-26 14:24:03.109913304 +0200
++++ b/linedit.asd 2014-07-26 14:25:34.279912792 +0200
+@@ -75,10 +75,13 @@
+ (:file "matcher" :depends-on ("packages"))
+
+ ;; Backend
+- (:file "backend" :depends-on ("utility-macros"))
+- (:uffi-c-source-file "terminal_glue")
++ ;(:file "backend" :depends-on ("utility-macros"))
++ ;(:uffi-c-source-file "terminal_glue")
++ (:file "uffi-loader" :depends-on ("packages"))
++ (:file "backend" :depends-on ("utility-macros" "uffi-loader"))
++
+ (:file "terminal-translations" :depends-on ("packages"))
+- (:file "terminal" :depends-on ("terminal-translations" "backend" "terminal_glue"))
++ (:file "terminal" :depends-on ("terminal-translations" "backend" "uffi-loader"))
+ (:file "smart-terminal" :depends-on ("terminal" "matcher"))
+ (:file "dumb-terminal" :depends-on ("terminal"))
+
diff --git a/dev-lisp/linedit/linedit-9999.ebuild b/dev-lisp/linedit/linedit-9999.ebuild
new file mode 100644
index 0000000..6151256
--- /dev/null
+++ b/dev-lisp/linedit/linedit-9999.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit common-lisp-3 eutils flag-o-matic git-2 multilib toolchain-funcs
+
+DESCRIPTION="Linedit is a readline-style library written in Common Lisp."
+HOMEPAGE="http://www.common-lisp.net/project/linedit/"
+EGIT_REPO_URI="git://common-lisp.net/projects/${PN}/${PN}.git"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="!dev-lisp/cl-${PN}
+ dev-lisp/alexandria
+ dev-lisp/madeira-port
+ >=dev-lisp/osicat-0.6.0
+ dev-lisp/terminfo
+ dev-lisp/uffi"
+
+CFILES="terminal_glue"
+
+@cc() {
+ local cc=$(tc-getCC)
+ echo "${cc}" "${@}"
+ "${cc}" "${@}"
+}
+
+
+create_uffi_loader() {
+ cat > uffi-loader.lisp <<-EOF
+ ;;;; -*- mode: lisp; syntax: common-lisp; indent-tabs-mode: nil; base: 10; package: linedit -*-
+ (in-package :linedit)
+
+ (uffi:load-foreign-library #p"/usr/$(get_libdir)/linedit/terminal_glue.so")
+ EOF
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PV}-${PN}.asd-uffi-glue-gentoo.patch
+ create_uffi_loader
+}
+
+src_compile() {
+ strip-flags
+ for filename in "${CFILES}" ; do
+ @cc "${filename}.c" ${CFLAGS} ${LDFLAGS} \
+ -fPIC -DPIC -shared -Wl,-soname="${filename}" -o "${filename}.so" \
+ || die "Cannot compile ${filename}.c"
+ done
+}
+
+src_install() {
+ common-lisp-install-sources *.lisp ports/
+ common-lisp-install-asdf
+ exeinto "/usr/$(get_libdir)/${PN}"
+ doexe *.so
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/lisp:master commit in: dev-lisp/linedit/files/, dev-lisp/linedit/
@ 2014-11-11 23:16 José María Alonso
2014-07-26 15:47 ` José María Alonso
0 siblings, 1 reply; 5+ messages in thread
From: José María Alonso @ 2014-11-11 23:16 UTC (permalink / raw
To: gentoo-commits
commit: 309cbe75930279a6f3ecc121d7e0b1e9fee3fc76
Author: Chema Alonso <nimiux <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 26 15:48:03 2014 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Sat Jul 26 15:48:03 2014 +0000
URL: http://sources.gentoo.org/gitweb/?p=proj/lisp.git;a=commit;h=309cbe75
dev-lisp/linedit: new live ebuild
---
.../files/9999-linedit.asd-uffi-glue-gentoo.patch | 20 +++++++
dev-lisp/linedit/linedit-9999.ebuild | 62 ++++++++++++++++++++++
2 files changed, 82 insertions(+)
diff --git a/dev-lisp/linedit/files/9999-linedit.asd-uffi-glue-gentoo.patch b/dev-lisp/linedit/files/9999-linedit.asd-uffi-glue-gentoo.patch
new file mode 100644
index 0000000..97dabc4
--- /dev/null
+++ b/dev-lisp/linedit/files/9999-linedit.asd-uffi-glue-gentoo.patch
@@ -0,0 +1,20 @@
+diff -Nuar a/linedit.asd b/linedit.asd
+--- a/linedit.asd 2014-07-26 14:24:03.109913304 +0200
++++ b/linedit.asd 2014-07-26 14:25:34.279912792 +0200
+@@ -75,10 +75,13 @@
+ (:file "matcher" :depends-on ("packages"))
+
+ ;; Backend
+- (:file "backend" :depends-on ("utility-macros"))
+- (:uffi-c-source-file "terminal_glue")
++ ;(:file "backend" :depends-on ("utility-macros"))
++ ;(:uffi-c-source-file "terminal_glue")
++ (:file "uffi-loader" :depends-on ("packages"))
++ (:file "backend" :depends-on ("utility-macros" "uffi-loader"))
++
+ (:file "terminal-translations" :depends-on ("packages"))
+- (:file "terminal" :depends-on ("terminal-translations" "backend" "terminal_glue"))
++ (:file "terminal" :depends-on ("terminal-translations" "backend" "uffi-loader"))
+ (:file "smart-terminal" :depends-on ("terminal" "matcher"))
+ (:file "dumb-terminal" :depends-on ("terminal"))
+
diff --git a/dev-lisp/linedit/linedit-9999.ebuild b/dev-lisp/linedit/linedit-9999.ebuild
new file mode 100644
index 0000000..6151256
--- /dev/null
+++ b/dev-lisp/linedit/linedit-9999.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit common-lisp-3 eutils flag-o-matic git-2 multilib toolchain-funcs
+
+DESCRIPTION="Linedit is a readline-style library written in Common Lisp."
+HOMEPAGE="http://www.common-lisp.net/project/linedit/"
+EGIT_REPO_URI="git://common-lisp.net/projects/${PN}/${PN}.git"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="!dev-lisp/cl-${PN}
+ dev-lisp/alexandria
+ dev-lisp/madeira-port
+ >=dev-lisp/osicat-0.6.0
+ dev-lisp/terminfo
+ dev-lisp/uffi"
+
+CFILES="terminal_glue"
+
+@cc() {
+ local cc=$(tc-getCC)
+ echo "${cc}" "${@}"
+ "${cc}" "${@}"
+}
+
+
+create_uffi_loader() {
+ cat > uffi-loader.lisp <<-EOF
+ ;;;; -*- mode: lisp; syntax: common-lisp; indent-tabs-mode: nil; base: 10; package: linedit -*-
+ (in-package :linedit)
+
+ (uffi:load-foreign-library #p"/usr/$(get_libdir)/linedit/terminal_glue.so")
+ EOF
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PV}-${PN}.asd-uffi-glue-gentoo.patch
+ create_uffi_loader
+}
+
+src_compile() {
+ strip-flags
+ for filename in "${CFILES}" ; do
+ @cc "${filename}.c" ${CFLAGS} ${LDFLAGS} \
+ -fPIC -DPIC -shared -Wl,-soname="${filename}" -o "${filename}.so" \
+ || die "Cannot compile ${filename}.c"
+ done
+}
+
+src_install() {
+ common-lisp-install-sources *.lisp ports/
+ common-lisp-install-asdf
+ exeinto "/usr/$(get_libdir)/${PN}"
+ doexe *.so
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/lisp:master commit in: dev-lisp/linedit/files/, dev-lisp/linedit/
@ 2018-05-28 18:01 José María Alonso
0 siblings, 0 replies; 5+ messages in thread
From: José María Alonso @ 2018-05-28 18:01 UTC (permalink / raw
To: gentoo-commits
commit: bf70061a93ecc9acfec2c99c564bb5b41d9343aa
Author: Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Mon May 28 18:01:30 2018 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Mon May 28 18:01:30 2018 +0000
URL: https://gitweb.gentoo.org/proj/lisp.git/commit/?id=bf70061a
dev-lisp/linedit: Drop old version 0.17.0
.../0.17.0-linedit.asd-uffi-glue-gentoo.patch | 68 ----------------------
dev-lisp/linedit/linedit-0.17.0.ebuild | 61 -------------------
2 files changed, 129 deletions(-)
diff --git a/dev-lisp/linedit/files/0.17.0-linedit.asd-uffi-glue-gentoo.patch b/dev-lisp/linedit/files/0.17.0-linedit.asd-uffi-glue-gentoo.patch
deleted file mode 100644
index e4965029..00000000
--- a/dev-lisp/linedit/files/0.17.0-linedit.asd-uffi-glue-gentoo.patch
+++ /dev/null
@@ -1,68 +0,0 @@
-diff -Nur a/linedit.asd b/linedit.asd
---- a/linedit.asd 2010-09-14 22:08:59.000000000 +0200
-+++ b/linedit.asd 2013-04-01 20:08:27.109977598 +0200
-@@ -24,40 +24,6 @@
-
- (in-package :linedit-system)
-
--(defvar *gcc* "/usr/bin/gcc")
--
--(defvar *gcc-options*
-- #-(or darwin macosx)
-- (list "-shared" "-fPIC")
-- #+(or darwin macosx)
-- (append
-- (list "-dynamic" "-bundle")
-- #+(or x86 x86-64)
-- (list "-arch" "x86_64" "-arch" "i386")
-- #-sbcl
-- (list "/usr/lib/bundle1.o" "-flat_namespace" "-undefined" "suppress")))
--
--;;; Separate class so that we don't mess up other packages
--(defclass uffi-c-source-file (c-source-file) ())
--
--(defmethod output-files ((o compile-op) (c uffi-c-source-file))
-- (list (make-pathname :name (component-name c)
-- :type #-(or darwin macosx) "so" #+(or darwin macosx) "dylib"
-- :defaults (component-pathname c))))
--
--(defmethod perform ((o load-op) (c uffi-c-source-file))
-- (let ((loader (intern (symbol-name '#:load-foreign-library) :uffi)))
-- (dolist (f (asdf::input-files o c))
-- (funcall loader f :module (pathname-name f)))))
--
--(defmethod perform ((o compile-op) (c uffi-c-source-file))
-- (unless (zerop (run-shell-command "~A ~A ~{~A ~}-o ~A"
-- *gcc*
-- (namestring (component-pathname c))
-- *gcc-options*
-- (namestring (car (output-files o c)))))
-- (error 'operation-error :component c :operation o)))
--
- (defsystem :linedit
- :version "0.17.0"
- :depends-on (:uffi :terminfo :osicat)
-@@ -69,10 +35,10 @@
- (:file "matcher" :depends-on ("packages"))
-
- ;; Backend
-- (:file "backend" :depends-on ("utility-macros"))
-- (:uffi-c-source-file "terminal_glue")
-+ (:file "uffi-loader" :depends-on ("packages"))
-+ (:file "backend" :depends-on ("utility-macros" "uffi-loader"))
- (:file "terminal-translations" :depends-on ("packages"))
-- (:file "terminal" :depends-on ("terminal-translations" "backend" "terminal_glue"))
-+ (:file "terminal" :depends-on ("terminal-translations" "backend" "uffi-loader"))
- (:file "smart-terminal" :depends-on ("terminal" "matcher"))
- (:file "dumb-terminal" :depends-on ("terminal"))
-
-@@ -81,8 +47,7 @@
- (:file "line" :depends-on ("utility-macros"))
- (:file "buffer" :depends-on ("utility-macros"))
- (:file "command-keys" :depends-on ("packages"))
-- (:uffi-c-source-file "signals")
-- (:file "editor" :depends-on ("backend" "rewindable" "signals"
-+ (:file "editor" :depends-on ("backend" "rewindable"
- "line" "buffer" "command-keys"))
- (:file "main" :depends-on ("editor"))
- (:file "complete" :depends-on ("utility-macros"))
diff --git a/dev-lisp/linedit/linedit-0.17.0.ebuild b/dev-lisp/linedit/linedit-0.17.0.ebuild
deleted file mode 100644
index 1a97e8f6..00000000
--- a/dev-lisp/linedit/linedit-0.17.0.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit common-lisp-3 eutils flag-o-matic multilib toolchain-funcs
-
-MY_P="${PN}_${PV}"
-
-DESCRIPTION="Linedit is a readline-style library written in Common Lisp."
-HOMEPAGE="http://www.common-lisp.net/project/linedit/"
-SRC_URI="http://common-lisp.net/project/${PN}/files/${MY_P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE=""
-
-RDEPEND="dev-lisp/osicat
- dev-lisp/terminfo
- dev-lisp/uffi"
-
-S="${WORKDIR}/${MY_P}"
-
-@cc() {
- local cc=$(tc-getCC)
- echo "${cc}" "${@}"
- "${cc}" "${@}"
-}
-
-create_uffi_loader() {
- cat > uffi-loader.lisp <<-EOF
- ;;;; -*- mode: lisp; syntax: common-lisp; indent-tabs-mode: nil; base: 10; package: linedit -*-
- (in-package :linedit)
-
- (uffi:load-foreign-library #p"/usr/$(get_libdir)/linedit/signals.so")
- (uffi:load-foreign-library #p"/usr/$(get_libdir)/linedit/terminal_glue.so")
- EOF
-}
-
-src_prepare() {
- default
- eapply "${FILESDIR}"/${PV}-${PN}.asd-uffi-glue-gentoo.patch
- create_uffi_loader
-}
-
-src_compile() {
- strip-flags
- for filename in signals terminal_glue ; do
- @cc "${filename}.c" ${CFLAGS} ${LDFLAGS} \
- -fPIC -DPIC -shared -Wl,-soname="${filename}" -o "${filename}.so" \
- || die "Cannot compile ${filename}.c"
- done
-}
-
-src_install() {
- common-lisp-install-sources -t all *.lisp version.lisp-expr
- common-lisp-install-asdf
- exeinto "/usr/$(get_libdir)/${PN}"
- doexe *.so
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/lisp:master commit in: dev-lisp/linedit/files/, dev-lisp/linedit/
@ 2022-04-02 15:34 Ulrich Müller
0 siblings, 0 replies; 5+ messages in thread
From: Ulrich Müller @ 2022-04-02 15:34 UTC (permalink / raw
To: gentoo-commits
commit: fe2a32c0de09b784bac448ce8389b1aa4f4a4558
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 2 15:02:20 2022 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Apr 2 15:02:20 2022 +0000
URL: https://gitweb.gentoo.org/proj/lisp.git/commit/?id=fe2a32c0
dev-lisp/linedit: Remove old
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
.../0.17.5-linedit.asd-drop-madeira-port.patch | 21 --------
.../files/0.17.5-linedit.asd-uffi-glue.patch | 58 --------------------
dev-lisp/linedit/linedit-0.17.5.ebuild | 62 ----------------------
3 files changed, 141 deletions(-)
diff --git a/dev-lisp/linedit/files/0.17.5-linedit.asd-drop-madeira-port.patch b/dev-lisp/linedit/files/0.17.5-linedit.asd-drop-madeira-port.patch
deleted file mode 100644
index a6576ec9..00000000
--- a/dev-lisp/linedit/files/0.17.5-linedit.asd-drop-madeira-port.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-diff -Nuar a/linedit.asd b/linedit.asd
---- a/linedit.asd 2017-10-16 23:10:11.424173773 +0200
-+++ b/linedit.asd 2017-10-16 23:10:48.764173614 +0200
-@@ -30,7 +30,6 @@
- :licence "MIT"
- :author "Nikodemus Siivola <nikodemus@random-state.net>"
- :depends-on (:uffi :terminfo :osicat :alexandria)
-- :defsystem-depends-on (:madeira-port)
- :components
- (
- ;; Common
-@@ -60,6 +59,6 @@
- (:module "ports"
- :depends-on ("main")
- :components
-- ((:madeira-port "sbcl" :when :sbcl)
-- (:madeira-port "ccl" :when :ccl)
-- (:madeira-port "generic" :unless (:or :sbcl :ccl))))))
-+ ((:file "sbcl" :if-feature :sbcl)
-+ (:file "ccl" :if-feature :ccl)
-+ (:file "generic" :if-feature (:not (:or :sbcl :ccl)))))))
diff --git a/dev-lisp/linedit/files/0.17.5-linedit.asd-uffi-glue.patch b/dev-lisp/linedit/files/0.17.5-linedit.asd-uffi-glue.patch
deleted file mode 100644
index fbbd38da..00000000
--- a/dev-lisp/linedit/files/0.17.5-linedit.asd-uffi-glue.patch
+++ /dev/null
@@ -1,58 +0,0 @@
-diff -Nuar a/linedit.asd b/linedit.asd
---- a/linedit.asd 2015-06-24 00:10:05.000000000 +0200
-+++ b/linedit.asd 2017-10-16 21:17:13.314174329 +0200
-@@ -24,40 +24,6 @@
-
- (in-package :linedit-system)
-
--(defvar *gcc* "/usr/bin/gcc")
--
--(defvar *gcc-options*
-- #-(or darwin macosx)
-- (list "-shared" "-fPIC")
-- #+(or darwin macosx)
-- (append
-- (list "-dynamic" "-bundle")
-- #+(or x86 x86-64)
-- (list "-arch" "x86_64" "-arch" "i386")
-- #-sbcl
-- (list "/usr/lib/bundle1.o" "-flat_namespace" "-undefined" "suppress")))
--
--;;; Separate class so that we don't mess up other packages
--(defclass uffi-c-source-file (c-source-file) ())
--
--(defmethod output-files ((o compile-op) (c uffi-c-source-file))
-- (list (make-pathname :name (component-name c)
-- :type #-(or darwin macosx) "so" #+(or darwin macosx) "dylib"
-- :defaults (component-pathname c))))
--
--(defmethod perform ((o load-op) (c uffi-c-source-file))
-- (let ((loader (intern (symbol-name '#:load-foreign-library) :uffi)))
-- (dolist (f (asdf::input-files o c))
-- (funcall loader f :module (pathname-name f)))))
--
--(defmethod perform ((o compile-op) (c uffi-c-source-file))
-- (unless (zerop (run-shell-command "~S ~S ~{~S ~}-o ~S"
-- *gcc*
-- (namestring (component-pathname c))
-- *gcc-options*
-- (namestring (car (output-files o c)))))
-- (error 'operation-error :component c :operation o)))
--
- (defsystem :linedit
- :version "0.17.5"
- :description "Readline-style library."
-@@ -74,10 +40,10 @@
- (:file "matcher" :depends-on ("packages"))
-
- ;; Backend
-- (:file "backend" :depends-on ("utility-macros"))
-- (:uffi-c-source-file "terminal_glue")
-+ (:file "uffi-loader" :depends-on ("packages"))
-+ (:file "backend" :depends-on ("utility-macros" "uffi-loader"))
- (:file "terminal-translations" :depends-on ("packages"))
-- (:file "terminal" :depends-on ("terminal-translations" "backend" "terminal_glue"))
-+ (:file "terminal" :depends-on ("terminal-translations" "backend" "uffi-loader"))
- (:file "smart-terminal" :depends-on ("terminal" "matcher"))
- (:file "dumb-terminal" :depends-on ("terminal"))
-
diff --git a/dev-lisp/linedit/linedit-0.17.5.ebuild b/dev-lisp/linedit/linedit-0.17.5.ebuild
deleted file mode 100644
index a13ea021..00000000
--- a/dev-lisp/linedit/linedit-0.17.5.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit common-lisp-3 eutils flag-o-matic multilib toolchain-funcs
-
-DESCRIPTION="Linedit is a readline-style library written in Common Lisp."
-HOMEPAGE="http://www.common-lisp.net/project/linedit/"
-SRC_URI="mirror://gentoo/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE=""
-
-RDEPEND="dev-lisp/alexandria
- dev-lisp/osicat
- dev-lisp/terminfo
- dev-lisp/uffi"
-
-HTML_DOCS=( public_html/. )
-
-@cc() {
- local cc=$(tc-getCC)
- echo "${cc}" "${@}"
- "${cc}" "${@}"
-}
-
-create_uffi_loader() {
- cat > uffi-loader.lisp <<-EOF
- ;;;; -*- mode: lisp; syntax: common-lisp; indent-tabs-mode: nil; base: 10; package: linedit -*-
- (in-package :linedit)
-
- (uffi:load-foreign-library #p"/usr/$(get_libdir)/linedit/signals.so")
- (uffi:load-foreign-library #p"/usr/$(get_libdir)/linedit/terminal_glue.so")
- EOF
-}
-
-src_prepare() {
- # terminfo lives in a separate package
- rm "${S}"/terminfo.* || die
- eapply "${FILESDIR}"/${PV}-${PN}.asd-uffi-glue.patch
- eapply "${FILESDIR}"/${PV}-${PN}.asd-drop-madeira-port.patch
- create_uffi_loader
- eapply_user
-}
-
-src_compile() {
- strip-flags
- @cc "terminal_glue.c" ${CFLAGS} ${LDFLAGS} \
- -fPIC -DPIC -shared -Wl,-soname="terminal_glue" -o "terminal_glue.so" \
- || die
-}
-
-src_install() {
- common-lisp-install-sources -t all *.lisp ports/
- common-lisp-install-asdf
- einstalldocs
- exeinto "/usr/$(get_libdir)/${PN}"
- doexe *.so
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2022-04-02 15:35 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-11-11 23:16 [gentoo-commits] proj/lisp:master commit in: dev-lisp/linedit/files/, dev-lisp/linedit/ José María Alonso
2014-07-26 15:47 ` José María Alonso
-- strict thread matches above, loose matches on Subject: below --
2022-04-02 15:34 Ulrich Müller
2018-05-28 18:01 José María Alonso
2013-04-01 18:56 José María Alonso
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox